Get Tap Events
curl --request GET \
--url https://server.stage.overflow.co/api/v3/tap/events \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/tap/events"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/tap/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6816f8dc7d2a1b4c12ab3522",
"createdAt": "2026-05-04T14:12:44.002Z",
"deviceId": "<string>",
"groupId": "<string>",
"destinationId": "<string>",
"device": {
"id": "<string>",
"serialNumber": 123
},
"group": {
"id": "<string>",
"name": "<string>"
},
"destination": {
"id": "<string>",
"name": "<string>",
"type": "web"
}
}
],
"totalCount": 100
}Get Tap Events
Returns tap events for a nonprofit based on the provided filters. Events represent individual tap interactions and are sorted by time of occurrence.
GET
/
api
/
v3
/
tap
/
events
Get Tap Events
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of tap events to return.
Required range:
1 <= x <= 100The page number of the tap events to return.
Required range:
x >= 1Filter tap events by group IDs.
Minimum array length:
1Example:
["6710f34fd5061afeec3eab58"]
Filter tap events by destination IDs.
Minimum array length:
1Example:
["6710f34fd5061afeec3eab57"]
Filter tap events by device IDs.
Minimum array length:
1Example:
["6710f34fd5061afeec3eab59"]
Filter tap events on or after this date (ISO 8601).
Example:
"2026-05-01T00:00:00.000Z"
Filter tap events on or before this date (ISO 8601).
Example:
"2026-05-08T23:59:59.999Z"
The direction to sort the tap events by. Events are always sorted by time of occurrence.
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 14, 2026
Was this page helpful?